MODEL:

    SSL_METHOD: SWaV

    BACKBONE: 
        NAME: resnet18
        IMAGENET_PRETRAINED: true

    PROJECTION_HEAD:
        NUM_LAYERS: 2
        HIDDEN_DIM: 2048
        FINAL_DIM: 128
        USE_BN: true



TRAIN:

    OPTIMIZATION:

        OPTIMIZER: LARS
        LR: 0.2
        MIN_LR: 0.002
        WEIGHT_DECAY: 0.000001
        MOMENTUM: 0.9

        BATCH_SIZE: 256
        STEPS_PER_EPOCH: 100
        EPOCHS: 600
        WARMUP_EPOCHS: 10
        
        NUM_PROTOTYPES: 256
        TEMPERATURE: 0.1
        ENTROPY_REGULARIZATION: 0.05
        USE_MIXED_PRECISION: true
        FREEZE_PROTOTYPES_NITERS: 300

    TRANSFORMS:
        RESIZED_SHAPE: [224, 224]
        MULTI_CROPS: 
            NUM_VIEWS: [2, 6]
            
            FOURIER:
                BSS: [true, false]
                AREAS_RATIOS: [[0.02, 1], [0.02, 1]]
            GEOMETRIC:
                RESIZED_SHAPES: [[224, 224], [128, 128]]
                SCALES: [[0.8, 1], [0.6, 1]]
                VERTICAL_FLIPS: [false, false]
                ROTATIONS_DEGREES: [20, 20]
                ERASE_RATES: [0.2, 0.2]
            COLOR:
                STRENGTHS: ['strong', 'strong']
                SAME_ON_BATCH: [true, false]
                

    CHECKPOINT_FREQUENCY: 5